/* Copyright (c) 2010 Marcin Zajaczkowski
 * All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.appinfo.reader;

import java.io.IOException;
import java.util.jar.Manifest;

/**
 * Interfejs dla klas umożliwiających odczytanie informacji z pliku manifestu.
 *
 * @author Marcin Zajączkowski, 2010-07-01
 */
public interface ManifestReader {

    /**
     * Zwraca obiekt Manifest na podstawie ustawionego pliku.
     *
     * Troche brzydkie rzucanie IOException.
     *
     * @return obiekt Manifest
     * @throws IOException blad przy otwieraniu/wczytywaniu danych z pliku
     */
    public Manifest getManifest() throws IOException;
}
